## opie-base-fb 1.0.1.1snapshot20030828-2

=== Makefile ===
#!/usr/bin/make -f

export TOPDIR:=$(shell pwd)

include $(TOPDIR)/Vars.make

noconfig_targets := xconfig menuconfig config oldconfig randconfig \
		    defconfig allyesconfig allnoconfig allmodconfig \
		    clean-configs $(TOPDIR)/scripts/subst $(TOPDIR)/scripts/filesubst \
		    ipks

configs += $(TOPDIR)/core/applets/config.in $(TOPDIR)/core/apps/config.in

# $(TOPDIR)/.config depends on .depends.cfgs, as it depends on $(configs)
# in order to have a full set of config.in files.
# .depends depends on $(TOPDIR)/.config
# everything else depends on .depends, to ensure the dependencies are
# intact.
#
# NOTE: The order in which things happen in this makefile is
# 	-critical-. Do not rearrange this!
 
all : $(TOPDIR)/.config

ipks: $(OPIEDIR)/scripts/subst $(OPIEDIR)/scripts/filesubst FORCE $(TOPDIR)/.config
	@find $(OPIEDIR)/ -type f -name \*.control | ( for ctrl in `cat`; do \
		prerm=`echo $$ctrl|sed -e 's,\.control$$,.prerm,'`; \
		preinst=`echo $$ctrl|sed -e 's,\.control$$,.preinst,'`; \
		postrm=`echo $$ctrl|sed -e 's,\.control$$,.postrm,'`; \
		postinst=`echo $$ctrl|sed -e 's,\.control$$,.postinst,'`; \
		echo "Building ipk of $$ctrl"; \
		cd $(OPIEDIR); $(OPIEDIR)/scripts/mkipkg --subst=$(OPIEDIR)/scripts/subst --filesubst=$(OPIEDIR)/scripts/filesubst --control=$$ctrl --prerm=$$prerm --preinst=$$preinst --postrm=$$postrm --postinst=$$postinst --strip=$(STRIP) $(OPIEDIR); \
		done )

$(TOPDIR)/.config : $(TOPDIR)/.depends.cfgs

all menuconfig xconfig oldconfig config randconfig allyesconfig allnoconfig defconfig : $(TOPDIR)/.depends.cfgs

clean-configs :
	@echo "Wiping generated config.in files..."
	@-rm -f $(configs)

ifneq ($(wildcard $(TOPDIR)/.depends.cfgs),)
    include $(TOPDIR)/.depends.cfgs
endif

all menuconfig xconfig oldconfig config randconfig allyesconfig allnoconfig defconfig : $(configs)

$(TOPDIR)/.config: $(TOPDIR)/.depends.cfgs $(configs)
	$(call descend,scripts/kconfig,conf)
	@if [ ! -e $@ ]; then \
		cp $(TOPDIR)/def-configs/opie $@; \
	fi;
	@$(MAKE) -C scripts/kconfig conf;
	./scripts/kconfig/conf -s ./config.in

export

ifeq ($(filter $(noconfig_targets),$(MAKECMDGOALS)),)

export include-config := 1

-include $(TOPDIR)/.config
-include $(TOPDIR)/.depends
endif

-include $(TOPDIR)/.config.cmd

SUBDIRS = $(subdir-y)

all clean install ipk: $(SUBDIRS) 

lupdate lrelease:
	@for i in $(SUBDIRS); do $(MAKE) -C $$i $@; done;

opie-lupdate opie-lrelease messages:
	@for i in $(SUBDIRS); do $(MAKE) -C $$i $@; done;

# from kde 
qtmessages:
	cd $(QTDIR)/src ; \
	sed -e "s,#define,," xml/qxml.cpp > qxml_clean.cpp ;\
	find . -name "*.cpp" | grep -v moc_ > list ;\
	for file in qfiledialog qcolordialog qprintdialog \
		qurloperator qftp qhttp qlocal qerrormessage; do \
		grep -v $$file list > list.new && mv list.new list ;\
	done ;\
	xgettext -C -ktr -kQT_TRANSLATE_NOOP -n `cat list` -o $(OPIEDIR)/qt-messages.pot 

$(subdir-y) : $(if $(CONFIG_LIBQPE),$(QTDIR)/stamp-headers $(OPIEDIR)/stamp-headers) \
	$(if $(CONFIG_LIBQPE-X11),$(QTDIR)/stamp-headers-x11 $(OPIEDIR)/stamp-headers-x11 ) \
	$(TOPDIR)/library/custom.h

clean : $(TOPDIR)/.config

apidox : doc/generate_apidox 

include $(TOPDIR)/Rules.make

=== core/launcher/Makefile ===
#############################################################################
# Makefile for building: ../../bin/qpe
# Generated by qmake (1.04a) on: Wed Aug 27 23:52:08 2003
# Project:  launcher.pro
# Template: app
# Command: $(QMAKE) -o Makefile launcher.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe $(CFLAGS_EXTRA) -Wall -W $(if $(CFLAGS_RELEASE),$(CFLAGS_RELEASE), -O2)  -DQT_NO_DEBUG
CXXFLAGS = -pipe $(CFLAGS_EXTRA) -DQWS -fno-exceptions -fno-rtti $(CXXFLAGS_EXTRA) -Wall -W $(if $(CFLAGS_RELEASE),$(CFLAGS_RELEASE), -O2)  -DQT_NO_DEBUG
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I../../include -I../../core/apps/calibrate -I../../rsync -I$(QTDIR)/include -I/home/rkrusty/cvs/new/t/opie-1.0/base/opie-base-fb-1.0snapshot20030828/mkspecs/qws/linux-generic-g++
LINK     = g++
LFLAGS   = $(LFLAGS_EXTRA)
LIBS     = $(SUBLIBS) -L$(OPIEDIR)/lib -L$(QTDIR)/lib $(LIBS_EXTRA) -lqpe -lcrypt -lopie -lqte
AR       = ar cqs
RANLIB   = 
MOC      = /usr/bin/moc
UIC      = /usr/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY) -p
COPY_DIR = $(COPY) -pR
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
PRO      = launcher.pro

####### Output directory

OBJECTS_DIR = ./

####### Files

HEADERS = background.h \
		desktop.h \
		screensaver.h \
		mediummountgui.h \
		info.h \
		appicons.h \
		taskbar.h \
		sidething.h \
		runningappbar.h \
		stabmon.h \
		inputmethods.h \
		systray.h \
		wait.h \
		shutdownimpl.h \
		launcher.h \
		launcherview.h \
		../../core/apps/calibrate/calibrate.h \
		startmenu.h \
		transferserver.h \
		qcopbridge.h \
		packageslave.h \
		irserver.h \
		../../rsync/buf.h \
		../../rsync/checksum.h \
		../../rsync/command.h \
		../../rsync/emit.h \
		../../rsync/job.h \
		../../rsync/netint.h \
		../../rsync/protocol.h \
		../../rsync/prototab.h \
		../../rsync/rsync.h \
		../../rsync/search.h \
		../../rsync/stream.h \
		../../rsync/sumset.h \
		../../rsync/trace.h \
		../../rsync/types.h \
		../../rsync/util.h \
		../../rsync/whole.h \
		../../rsync/config_rsync.h \
		../../rsync/qrsync.h \
		quicklauncher.h
SOURCES = background.cpp \
		desktop.cpp \
		screensaver.cpp \
		mediummountgui.cpp \
		info.cpp \
		appicons.cpp \
		taskbar.cpp \
		sidething.cpp \
		runningappbar.cpp \
		stabmon.cpp \
		inputmethods.cpp \
		systray.cpp \
		wait.cpp \
		shutdownimpl.cpp \
		launcher.cpp \
		launcherview.cpp \
		../../core/apps/calibrate/calibrate.cpp \
		transferserver.cpp \
		packageslave.cpp \
		irserver.cpp \
		qcopbridge.cpp \
		startmenu.cpp \
		main.cpp \
		../../rsync/base64.c \
		../../rsync/buf.c \
		../../rsync/checksum.c \
		../../rsync/command.c \
		../../rsync/delta.c \
		../../rsync/emit.c \
		../../rsync/hex.c \
		../../rsync/job.c \
		../../rsync/mdfour.c \
		../../rsync/mksum.c \
		../../rsync/msg.c \
		../../rsync/netint.c \
		../../rsync/patch.c \
		../../rsync/prototab.c \
		../../rsync/readsums.c \
		../../rsync/scoop.c \
		../../rsync/search.c \
		../../rsync/stats.c \
		../../rsync/stream.c \
		../../rsync/sumset.c \
		../../rsync/trace.c \
		../../rsync/tube.c \
		../../rsync/util.c \
		../../rsync/version.c \
		../../rsync/whole.c \
		../../rsync/qrsync.cpp
OBJECTS = background.o \
		desktop.o \
		screensaver.o \
		mediummountgui.o \
		info.o \
		appicons.o \
		taskbar.o \
		sidething.o \
		runningappbar.o \
		stabmon.o \
		inputmethods.o \
		systray.o \
		wait.o \
		shutdownimpl.o \
		launcher.o \
		launcherview.o \
		calibrate.o \
		transferserver.o \
		packageslave.o \
		irserver.o \
		qcopbridge.o \
		startmenu.o \
		main.o \
		base64.o \
		buf.o \
		checksum.o \
		command.o \
		delta.o \
		emit.o \
		hex.o \
		job.o \
		mdfour.o \
		mksum.o \
		msg.o \
		netint.o \
		patch.o \
		prototab.o \
		readsums.o \
		scoop.o \
		search.o \
		stats.o \
		stream.o \
		sumset.o \
		trace.o \
		tube.o \
		util.o \
		version.o \
		whole.o \
		qrsync.o \
		syncdialog.o
FORMS = syncdialog.ui
UICDECLS = syncdialog.h
UICIMPLS = syncdialog.cpp
SRCMOC   = moc_background.cpp \
		moc_desktop.cpp \
		moc_mediummountgui.cpp \
		moc_info.cpp \
		moc_appicons.cpp \
		moc_taskbar.cpp \
		moc_sidething.cpp \
		moc_runningappbar.cpp \
		moc_inputmethods.cpp \
		moc_systray.cpp \
		moc_shutdownimpl.cpp \
		moc_launcher.cpp \
		moc_launcherview.cpp \
		../../core/apps/calibrate/moc_calibrate.cpp \
		moc_startmenu.cpp \
		moc_transferserver.cpp \
		moc_qcopbridge.cpp \
		moc_packageslave.cpp \
		moc_irserver.cpp \
		moc_quicklauncher.cpp \
		moc_syncdialog.cpp \
		appicons.moc
OBJMOC = moc_background.o \
		moc_desktop.o \
		moc_mediummountgui.o \
		moc_info.o \
		moc_appicons.o \
		moc_taskbar.o \
		moc_sidething.o \
		moc_runningappbar.o \
		moc_inputmethods.o \
		moc_systray.o \
		moc_shutdownimpl.o \
		moc_launcher.o \
		moc_launcherview.o \
		moc_calibrate.o \
		moc_startmenu.o \
		moc_transferserver.o \
		moc_qcopbridge.o \
		moc_packageslave.o \
		moc_irserver.o \
		moc_quicklauncher.o \
		moc_syncdialog.o
DIST	   = ../../gen.pro \
		../../include.pro \
		/home/rkrusty/cvs/new/t/opie-1.0/base/opie-base-fb-1.0snapshot20030828/core/launcher/launcher.pro
PRO      = launcher.pro
QMAKE_TARGET = qpe
DESTDIR  = ../../bin/
TARGET   = ../../bin/qpe

first: all
####### Implicit rules

.SUFFIXES: .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET): $(UICDECLS) $(OBJECTS) $(OBJMOC) 
	test -d ../../bin/ || mkdir -p ../../bin/
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

mocables: $(SRCMOC)

$(MOC): 
	( cd $(QTDIR)/src/moc ; $(MAKE) )

Makefile: launcher.pro  /home/rkrusty/cvs/new/t/opie-1.0/base/opie-base-fb-1.0snapshot20030828/mkspecs/qws/linux-generic-g++/qmake.conf ../../gen.pro \
		../../include.pro
	$(QMAKE) -o Makefile launcher.pro
qmake: 
	@$(QMAKE) -o Makefile launcher.pro

dist: 
	@mkdir -p .tmp/qpe && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .tmp/qpe/ && $(COPY_FILE) --parents ../../i18n/de/qpe.ts ../../i18n/nl/qpe.ts ../../i18n/xx/qpe.ts ../../i18n/en/qpe.ts ../../i18n/es/qpe.ts ../../i18n/fr/qpe.ts ../../i18n/hu/qpe.ts ../../i18n/ja/qpe.ts ../../i18n/ko/qpe.ts ../../i18n/no/qpe.ts ../../i18n/pl/qpe.ts ../../i18n/pt/qpe.ts ../../i18n/pt_BR/qpe.ts ../../i18n/sl/qpe.ts ../../i18n/zh_CN/qpe.ts ../../i18n/it/qpe.ts ../../i18n/zh_TW/qpe.ts ../../i18n/da/qpe.ts .tmp/qpe/ && ( cd `dirname .tmp/qpe` && $(TAR) qpe.tar qpe && $(GZIP) qpe.tar ) && $(MOVE) `dirname .tmp/qpe`/qpe.tar.gz . && $(DEL_DIR) .tmp/qpe

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:
	-$(DEL_FILE) $(UICIMPLS) $(UICDECLS)

clean: mocclean uiclean
	-$(DEL_FILE) $(OBJECTS) 
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) ../../bin/$(TARGET) $(TARGET)


lupdate:
	lupdate -noobsolete $(PRO)

lrelease:
	lrelease $(PRO)

ipk:
	tmp=`mktemp -d /tmp/ipkg-opie.XXXXXXXXXX` && ( $(MAKE) INSTALL_ROOT="" install && ipkg-build ; rm -rf ; )

opie-lupdate:
	opie-lupdate $(PRO)

opie-lrelease:
	opie-lrelease $(PRO)

messages:
	xgettext -C -n -ktr -kQT_TRANSLATE_NOOP background.h desktop.h screensaver.h mediummountgui.h info.h appicons.h taskbar.h sidething.h runningappbar.h stabmon.h inputmethods.h systray.h wait.h shutdownimpl.h launcher.h launcherview.h ../../core/apps/calibrate/calibrate.h startmenu.h transferserver.h qcopbridge.h packageslave.h irserver.h ../../rsync/buf.h ../../rsync/checksum.h ../../rsync/command.h ../../rsync/emit.h ../../rsync/job.h ../../rsync/netint.h ../../rsync/protocol.h ../../rsync/prototab.h ../../rsync/rsync.h ../../rsync/search.h ../../rsync/stream.h ../../rsync/sumset.h ../../rsync/trace.h ../../rsync/types.h ../../rsync/util.h ../../rsync/whole.h ../../rsync/config_rsync.h ../../rsync/qrsync.h quicklauncher.h background.cpp desktop.cpp screensaver.cpp mediummountgui.cpp info.cpp appicons.cpp taskbar.cpp sidething.cpp runningappbar.cpp stabmon.cpp inputmethods.cpp systray.cpp wait.cpp shutdownimpl.cpp launcher.cpp launcherview.cpp ../../core/apps/calibrate/calibrate.cpp transferserver.cpp packageslave.cpp irserver.cpp qcopbridge.cpp startmenu.cpp main.cpp ../../rsync/base64.c ../../rsync/buf.c ../../rsync/checksum.c ../../rsync/command.c ../../rsync/delta.c ../../rsync/emit.c ../../rsync/hex.c ../../rsync/job.c ../../rsync/mdfour.c ../../rsync/mksum.c ../../rsync/msg.c ../../rsync/netint.c ../../rsync/patch.c ../../rsync/prototab.c ../../rsync/readsums.c ../../rsync/scoop.c ../../rsync/search.c ../../rsync/stats.c ../../rsync/stream.c ../../rsync/sumset.c ../../rsync/trace.c ../../rsync/tube.c ../../rsync/util.c ../../rsync/version.c ../../rsync/whole.c ../../rsync/qrsync.cpp -o '$(OPIEDIR)/messages-$(QMAKE_TARGET)-tr.po' && xgettext -C -n -a background.h desktop.h screensaver.h mediummountgui.h info.h appicons.h taskbar.h sidething.h runningappbar.h stabmon.h inputmethods.h systray.h wait.h shutdownimpl.h launcher.h launcherview.h ../../core/apps/calibrate/calibrate.h startmenu.h transferserver.h qcopbridge.h packageslave.h irserver.h ../../rsync/buf.h ../../rsync/checksum.h ../../rsync/command.h ../../rsync/emit.h ../../rsync/job.h ../../rsync/netint.h ../../rsync/protocol.h ../../rsync/prototab.h ../../rsync/rsync.h ../../rsync/search.h ../../rsync/stream.h ../../rsync/sumset.h ../../rsync/trace.h ../../rsync/types.h ../../rsync/util.h ../../rsync/whole.h ../../rsync/config_rsync.h ../../rsync/qrsync.h quicklauncher.h background.cpp desktop.cpp screensaver.cpp mediummountgui.cpp info.cpp appicons.cpp taskbar.cpp sidething.cpp runningappbar.cpp stabmon.cpp inputmethods.cpp systray.cpp wait.cpp shutdownimpl.cpp launcher.cpp launcherview.cpp ../../core/apps/calibrate/calibrate.cpp transferserver.cpp packageslave.cpp irserver.cpp qcopbridge.cpp startmenu.cpp main.cpp ../../rsync/base64.c ../../rsync/buf.c ../../rsync/checksum.c ../../rsync/command.c ../../rsync/delta.c ../../rsync/emit.c ../../rsync/hex.c ../../rsync/job.c ../../rsync/mdfour.c ../../rsync/mksum.c ../../rsync/msg.c ../../rsync/netint.c ../../rsync/patch.c ../../rsync/prototab.c ../../rsync/readsums.c ../../rsync/scoop.c ../../rsync/search.c ../../rsync/stats.c ../../rsync/stream.c ../../rsync/sumset.c ../../rsync/trace.c ../../rsync/tube.c ../../rsync/util.c ../../rsync/version.c ../../rsync/whole.c ../../rsync/qrsync.cpp -o '$(OPIEDIR)/messages-$(QMAKE_TARGET)-allstrings.po'

FORCE:

####### Compile

background.o: background.cpp background.h \
		desktop.h \
		shutdownimpl.h

desktop.o: desktop.cpp desktop.h \
		info.h \
		launcher.h \
		qcopbridge.h \
		shutdownimpl.h \
		startmenu.h \
		taskbar.h \
		transferserver.h \
		irserver.h \
		packageslave.h \
		screensaver.h \
		background.h \
		launcherview.h

screensaver.o: screensaver.cpp screensaver.h

mediummountgui.o: mediummountgui.cpp mediummountgui.h

info.o: info.cpp info.h \
		desktop.h \
		background.h \
		shutdownimpl.h

appicons.o: appicons.cpp appicons.h \
		appicons.moc

taskbar.o: taskbar.cpp startmenu.h \
		inputmethods.h \
		runningappbar.h \
		systray.h \
		../../core/apps/calibrate/calibrate.h \
		wait.h \
		appicons.h \
		taskbar.h \
		desktop.h \
		../launcher/apps.h \
		shutdownimpl.h

sidething.o: sidething.cpp sidething.h \
		startmenu.h

runningappbar.o: runningappbar.cpp runningappbar.h

stabmon.o: stabmon.cpp stabmon.h

inputmethods.o: inputmethods.cpp inputmethods.h

systray.o: systray.cpp quicklauncher.h \
		systray.h

wait.o: wait.cpp wait.h

shutdownimpl.o: shutdownimpl.cpp shutdownimpl.h

launcher.o: launcher.cpp launcherview.h \
		launcher.h \
		syncdialog.h \
		desktop.h \
		../../rsync/qrsync.h \
		mediummountgui.h \
		shutdownimpl.h

=== core/opie-login/Makefile ===
#############################################################################
# Makefile for building: $(OPIEDIR)/bin/opie-login
# Generated by qmake (1.04a) on: Wed Aug 27 23:57:11 2003
# Project:  opie-login.pro
# Template: app
# Command: $(QMAKE) -o Makefile opie-login.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe $(CFLAGS_EXTRA) -Wall -W $(if $(CFLAGS_RELEASE),$(CFLAGS_RELEASE), -O2)  -DUSEPAM -DQT_NO_DEBUG
CXXFLAGS = -pipe $(CFLAGS_EXTRA) -DQWS -fno-exceptions -fno-rtti $(CXXFLAGS_EXTRA) -Wall -W $(if $(CFLAGS_RELEASE),$(CFLAGS_RELEASE), -O2)  -DUSEPAM -DQT_NO_DEBUG
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I$(OPIEDIR)/include -I../launcher -I../apps/calibrate -I$(QTDIR)/include -I/home/rkrusty/cvs/new/t/opie-1.0/base/opie-base-fb-1.0snapshot20030828/mkspecs/qws/linux-generic-g++
LINK     = g++
LFLAGS   = $(LFLAGS_EXTRA)
LIBS     = $(SUBLIBS) -L$(OPIEDIR)/lib -L$(QTDIR)/lib $(LIBS_EXTRA) -lqpe -lopie -lpam -lqte
AR       = ar cqs
RANLIB   = 
MOC      = /usr/bin/moc
UIC      = /usr/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY) -p
COPY_DIR = $(COPY) -pR
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
PRO      = opie-login.pro

####### Output directory

OBJECTS_DIR = ./

####### Files

HEADERS = loginwindowimpl.h \
		loginapplication.h \
		../launcher/inputmethods.h \
		../apps/calibrate/calibrate.h
SOURCES = loginwindowimpl.cpp \
		loginapplication.cpp \
		../launcher/inputmethods.cpp \
		../apps/calibrate/calibrate.cpp \
		main.cpp
OBJECTS = loginwindowimpl.o \
		loginapplication.o \
		inputmethods.o \
		calibrate.o \
		main.o \
		loginwindow.o
FORMS = loginwindow.ui
UICDECLS = loginwindow.h
UICIMPLS = loginwindow.cpp
SRCMOC   = moc_loginwindowimpl.cpp \
		../launcher/moc_inputmethods.cpp \
		../apps/calibrate/moc_calibrate.cpp \
		moc_loginwindow.cpp
OBJMOC = moc_loginwindowimpl.o \
		moc_inputmethods.o \
		moc_calibrate.o \
		moc_loginwindow.o
DIST	   = ../../gen.pro \
		../../include.pro \
		/home/rkrusty/cvs/new/t/opie-1.0/base/opie-base-fb-1.0snapshot20030828/core/opie-login/opie-login.pro
PRO      = opie-login.pro
QMAKE_TARGET = opie-login
DESTDIR  = $(OPIEDIR)/bin/
TARGET   = $(OPIEDIR)/bin/opie-login

first: all
####### Implicit rules

.SUFFIXES: .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET): $(UICDECLS) $(OBJECTS) $(OBJMOC) 
	test -d $(OPIEDIR)/bin/ || mkdir -p $(OPIEDIR)/bin/
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

mocables: $(SRCMOC)

$(MOC): 
	( cd $(QTDIR)/src/moc ; $(MAKE) )

Makefile: opie-login.pro  /home/rkrusty/cvs/new/t/opie-1.0/base/opie-base-fb-1.0snapshot20030828/mkspecs/qws/linux-generic-g++/qmake.conf ../../gen.pro \
		../../include.pro
	$(QMAKE) -o Makefile opie-login.pro
qmake: 
	@$(QMAKE) -o Makefile opie-login.pro

dist: 
	@mkdir -p .tmp/opie-login && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .tmp/opie-login/ && $(COPY_FILE) --parents ../../i18n/de/opie-login.ts ../../i18n/nl/opie-login.ts ../../i18n/xx/opie-login.ts ../../i18n/en/opie-login.ts ../../i18n/es/opie-login.ts ../../i18n/fr/opie-login.ts ../../i18n/hu/opie-login.ts ../../i18n/ja/opie-login.ts ../../i18n/ko/opie-login.ts ../../i18n/no/opie-login.ts ../../i18n/pl/opie-login.ts ../../i18n/pt/opie-login.ts ../../i18n/pt_BR/opie-login.ts ../../i18n/sl/opie-login.ts ../../i18n/zh_CN/opie-login.ts ../../i18n/zh_TW/opie-login.ts ../../i18n/it/opie-login.ts ../../i18n/da/opie-login.ts .tmp/opie-login/ && ( cd `dirname .tmp/opie-login` && $(TAR) opie-login.tar opie-login && $(GZIP) opie-login.tar ) && $(MOVE) `dirname .tmp/opie-login`/opie-login.tar.gz . && $(DEL_DIR) .tmp/opie-login

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:
	-$(DEL_FILE) $(UICIMPLS) $(UICDECLS)

clean: mocclean uiclean
	-$(DEL_FILE) $(OBJECTS) 
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(OPIEDIR)/bin/$(TARGET) $(TARGET)


lupdate:
	lupdate -noobsolete $(PRO)

lrelease:
	lrelease $(PRO)

ipk:
	tmp=`mktemp -d /tmp/ipkg-opie.XXXXXXXXXX` && ( $(MAKE) INSTALL_ROOT="" install && ipkg-build ; rm -rf ; )

opie-lupdate:
	opie-lupdate $(PRO)

opie-lrelease:
	opie-lrelease $(PRO)

messages:
	xgettext -C -n -ktr -kQT_TRANSLATE_NOOP loginwindowimpl.h loginapplication.h ../launcher/inputmethods.h ../apps/calibrate/calibrate.h loginwindowimpl.cpp loginapplication.cpp ../launcher/inputmethods.cpp ../apps/calibrate/calibrate.cpp main.cpp -o '$(OPIEDIR)/messages-$(QMAKE_TARGET)-tr.po' && xgettext -C -n -a loginwindowimpl.h loginapplication.h ../launcher/inputmethods.h ../apps/calibrate/calibrate.h loginwindowimpl.cpp loginapplication.cpp ../launcher/inputmethods.cpp ../apps/calibrate/calibrate.cpp main.cpp -o '$(OPIEDIR)/messages-$(QMAKE_TARGET)-allstrings.po'

FORCE:

####### Compile

loginwindowimpl.o: loginwindowimpl.cpp loginwindowimpl.h \
		loginapplication.h \
		../launcher/inputmethods.h \
		loginwindow.h

loginapplication.o: loginapplication.cpp loginapplication.h

inputmethods.o: ../launcher/inputmethods.cpp ../launcher/inputmethods.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o inputmethods.o ../launcher/inputmethods.cpp

calibrate.o: ../apps/calibrate/calibrate.cpp ../apps/calibrate/calibrate.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o calibrate.o ../apps/calibrate/calibrate.cpp

main.o: main.cpp loginapplication.h \
		loginwindowimpl.h \
		../apps/calibrate/calibrate.h \
		loginwindow.h

loginwindow.h: loginwindow.ui 
	$(UIC) loginwindow.ui -o loginwindow.h

loginwindow.cpp: loginwindow.h loginwindow.ui 
	$(UIC) loginwindow.ui -i loginwindow.h -o loginwindow.cpp

loginwindow.o: loginwindow.cpp loginwindow.h

moc_loginwindowimpl.o: moc_loginwindowimpl.cpp loginwindowimpl.h loginwindow.h

moc_inputmethods.o: ../launcher/moc_inputmethods.cpp ../launcher/inputmethods.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_inputmethods.o ../launcher/moc_inputmethods.cpp

moc_calibrate.o: ../apps/calibrate/moc_calibrate.cpp ../apps/calibrate/calibrate.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_calibrate.o ../apps/calibrate/moc_calibrate.cpp

moc_loginwindow.o: moc_loginwindow.cpp loginwindow.h 

moc_loginwindowimpl.cpp: $(MOC) loginwindowimpl.h
	$(MOC) loginwindowimpl.h -o moc_loginwindowimpl.cpp

../launcher/moc_inputmethods.cpp: $(MOC) ../launcher/inputmethods.h
	$(MOC) ../launcher/inputmethods.h -o ../launcher/moc_inputmethods.cpp

../apps/calibrate/moc_calibrate.cpp: $(MOC) ../apps/calibrate/calibrate.h
	$(MOC) ../apps/calibrate/calibrate.h -o ../apps/calibrate/moc_calibrate.cpp

moc_loginwindow.cpp: $(MOC) loginwindow.h
	$(MOC) loginwindow.h -o moc_loginwindow.cpp

####### Install

install_target: 
	@test -d $(INSTALL_ROOT)/usr/bin/ || mkdir -p $(INSTALL_ROOT)/usr/bin/
	-$(COPY) "$(OPIEDIR)/bin/$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"

uninstall_target: 
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) "$(INSTALL_ROOT)/usr/bin/"


install: all install_target 

uninstall: uninstall_target

=== core/opiealarm/Makefile ===

DESTDIR=$(OPIEDIR)/bin

CROSS:=
CC   :=$(CROSS)gcc
LD   :=$(CROSS)gcc
STRIP:=$(CROSS)strip

CFLAGS:=-O2
LDFLAGS:=

all: $(DESTDIR)/opiealarm

$(DESTDIR)/opiealarm: opiealarm.c
	$(CC) $(CFLAGS) opiealarm.c -o $(DESTDIR)/opiealarm $(LDFLAGS)
	$(STRIP) --strip-all $(DESTDIR)/opiealarm
	chmod u+s $(DESTDIR)/opiealarm
	chown root $(DESTDIR)/opiealarm 2>/dev/null || echo -e "\nopiealarm must be owned by root to work correctly.\n"

clean:
	-rm -f *~ core

=== scripts/kconfig/Makefile ===
VERSION=1.3
CC=gcc
CXX=g++
CFLAGS=-O0 -Wall -g -fPIC
CXXFLAGS=$(CFLAGS) -I$(HOSTQTDIR)/include
LDFLAGS=
LXXFLAGS=$(LDFLAGS) -L$(HOSTQTDIR)/lib -Wl,-rpath,$(HOSTQTDIR)/lib
LEX=flex
LFLAGS=-L
YACC=bison
YFLAGS=-l
#YFLAGS=-d -t -v -l
ifndef HOSTQTDIR
HOSTQTDIR=/usr/share/qt
endif
MOC=$(wildcard $(HOSTQTDIR)/bin/moc)

parse_SRC=zconf.y
conf_SRC=conf.c $(parse_SRC)
mconf_SRC=mconf.c $(parse_SRC)
qconf_SRC=qconf.cc
HDR=expr.h lkc.h lkc_proto.h qconf.h
OTHER=README lkc-language.txt Makefile.kernel \
	kconfig.i extconf.rb example
INST=zconf.y zconf.l confdata.c expr.c symbol.c menu.c \
	conf.c mconf.c qconf.cc kconfig_load.c images.c $(HDR)
INSTGEN=lex.zconf.c zconf.tab.c

#DEBUG=1
ifdef DEBUG
CFLAGS+=-DLKC_DIRECT_LINK
qconf_SRC+=$(parse_SRC)
else
qconf_SRC+=kconfig_load.c
endif

SRC=$(conf_SRC) $(mconf_SRC) $(qconf_SRC)
CSRC=$(filter %.c, $(SRC))
YSRC=$(filter %.y, $(SRC))
LSRC=$(filter %.l, $(SRC))

parse_OBJ=$(filter %.o, \
		$(patsubst %.c,%.o, \
		$(patsubst %.y,%.tab.o, \
		$(patsubst %.l,lex.%.o, \
			$(parse_SRC)))))
conf_OBJ=$(filter %.o, \
		$(patsubst %.c,%.o, \
		$(patsubst %.y,%.tab.o, \
		$(patsubst %.l,lex.%.o, \
			$(conf_SRC)))))
mconf_OBJ=$(filter %.o, \
		$(patsubst %.c,%.o, \
		$(patsubst %.y,%.tab.o, \
		$(patsubst %.l,lex.%.o, \
			$(mconf_SRC)))))
qconf_OBJ=$(filter %.o, \
		$(patsubst %.c,%.o, \
		$(patsubst %.cc,%.o, \
		$(patsubst %.y,%.tab.o, \
		$(patsubst %.l,lex.%.o, \
			$(qconf_SRC))))))
OBJ=$(conf_OBJ) $(mconf_OBJ) $(qconf_OBJ)

ifeq ($(MOC),)
all: conf mconf
else
all: conf mconf qconf libkconfig.so
endif

lkc_deps := lkc.h lkc_proto.h lkc_defs.h expr.h

zconf.tab.c: zconf.y
zconf.tab.h: zconf.y
lex.zconf.c: zconf.l
zconf.tab.o: zconf.tab.c lex.zconf.c confdata.c expr.c symbol.c menu.c $(lkc_deps)
#lex.zconf.o: lex.zconf.c zconf.tab.h $(lkc_deps)
#confdata.o: confdata.c $(lkc_deps)
#expr.o: expr.c $(lkc_deps)
#symbol.o: symbol.c $(lkc_deps)
#menu.o: menu.c $(lkc_deps)
kconfig_load.o: kconfig_load.c $(lkc_deps)
conf.o: conf.c $(lkc_deps)
mconf.o: mconf.c $(lkc_deps)
qconf.moc: qconf.h
qconf.o: qconf.cc qconf.moc images.c $(lkc_deps)

mconf: $(mconf_OBJ)
	$(CC) $(LDFLAGS) $^ -o $@

conf: $(conf_OBJ)
	$(CC) $(LDFLAGS) $^ -o $@

ifeq ($(MOC),)
qconf:
	@echo Unable to find the QT installation. Please make sure that the
	@echo QT development package is correctly installed and the HOSTQTDIR
	@echo environment variable is set to the correct location.
	@false
else
qconf: $(qconf_OBJ)
	$(CXX) $(LXXFLAGS) $^ -lqt -o $@
endif

libkconfig.so: $(parse_OBJ)
	$(CC) -shared $^ -o $@

lkc_defs.h: lkc_proto.h
	sed < $< > $@ 's/P(\([^,]*\),.*/#define \1 (\*\1_p)/'

clean:
	rm -f $(OBJ) conf qconf mconf *.moc lex.* *.tab.? *.output
	rm -rf .ruby .python

tgz:
	mkdir tmp
	mkdir tmp/lkc-$(VERSION)
	cp -ra Makefile $(sort $(SRC) $(HDR) $(OTHER) $(INST)) tmp/lkc-$(VERSION)
	tar -cpvz -C tmp --exclude CVS -f lkc-$(VERSION).tar.gz lkc-$(VERSION)
	rm -rf tmp

%.tab.c %.tab.h: %.y
	$(YACC) $(YFLAGS) -b $* -p $* $<

lex.%.c: %.l
	$(LEX) $(LFLAGS) -P$* $<

%.moc: %.h
	$(HOSTQTDIR)/bin/moc -i $< -o $@

%.o: %.c
	$(CC) $(CFLAGS) -c $< -o $@

%.o: %.cc
	$(CXX) $(CXXFLAGS) -c $< -o $@

ifdef KERNELSRC
install: $(INSTGEN)
	set -x; cp $(sort $(INST)) $(KERNELSRC)/scripts/kconfig; \
	for f in $(INSTGEN); do cp $$f $(KERNELSRC)/scripts/kconfig/$${f}_shipped; done; \
	cp Makefile.kernel $(KERNELSRC)/scripts/kconfig/Makefile

diff: $(INSTGEN)
	for f in $(sort $(INST)); do diff -u $(KERNELSRC)/scripts/kconfig/$$f $$f; done; \
	for f in $(INSTGEN); do diff -u $(KERNELSRC)/scripts/kconfig/$${f}_shipped $$f; done; \
	diff -u $(KERNELSRC)/scripts/kconfig/Makefile Makefile.kernel
else
install:
	@echo "Please use KERNELSRC=<path/to/linux-kernel> to install"
endif

ruby: .ruby libkconfig.so .ruby/kconfig.so

.ruby:
	mkdir .ruby

.ruby/kconfig_wrap.c: kconfig.i kconfig_load.c expr.h lkc_proto.h
	swig -ruby -o $@ $<

.ruby/Makefile: extconf.rb
	cd .ruby; ruby ../extconf.rb

.ruby/kconfig.so: .ruby/kconfig_wrap.c .ruby/Makefile
	make -C .ruby


PYTHON_INCLUDE=$(shell python -c "import sys; print '-I'+sys.prefix+'/include/python'+sys.version[:3]")

python: .python .python/kconfig.py .python/_kconfig.so

.python:
	mkdir .python

.python/kconfig_wrap.c .python/kconfig.py: kconfig.i kconfig_load.c expr.h lkc_proto.h
	swig -python -o .python/kconfig_wrap.c kconfig.i

.python/_kconfig.so: .python/kconfig_wrap.c
	cd .python; $(CC) $(CFLAGS) -shared kconfig_wrap.c -o _kconfig.so -I.. $(PYTHON_INCLUDE)


.PHONY: all tgz clean ruby python

=== core/applets/homeapplet/Makefile ===
#############################################################################
# Makefile for building: libhomeapplet.so.1.0.0
# Generated by qmake (1.04a) on: Wed Aug 27 23:52:01 2003
# Project:  homeapplet.pro
# Template: lib
# Command: $(QMAKE) -o Makefile homeapplet.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe $(CFLAGS_EXTRA) -Wall -W $(if $(CFLAGS_RELEASE),$(CFLAGS_RELEASE), -O2) -fPIC  -DQT_NO_DEBUG
CXXFLAGS = -pipe $(CFLAGS_EXTRA) -DQWS -fno-exceptions -fno-rtti $(CXXFLAGS_EXTRA) -Wall -W $(if $(CFLAGS_RELEASE),$(CFLAGS_RELEASE), -O2) -fPIC  -DQT_NO_DEBUG
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I$(OPIEDIR)/include -I$(QTDIR)/include -I/home/rkrusty/cvs/new/t/opie-1.0/base/opie-base-fb-1.0snapshot20030828/mkspecs/qws/linux-generic-g++
LINK     = g++
LFLAGS   = $(LFLAGS_EXTRA) -shared -Wl,-soname,libhomeapplet.so.1
LIBS     = $(SUBLIBS) -L$(OPIEDIR)/lib -L$(QTDIR)/lib $(LIBS_EXTRA) -lqpe -lqte
AR       = ar cqs
RANLIB   = 
MOC      = /usr/bin/moc
UIC      = /usr/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY) -p
COPY_DIR = $(COPY) -pR
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
PRO      = homeapplet.pro

####### Output directory

OBJECTS_DIR = ./

####### Files

HEADERS = home.h
SOURCES = home.cpp
OBJECTS = home.o
FORMS = 
UICDECLS = 
UICIMPLS = 
SRCMOC   = 
OBJMOC = 
DIST	   = ../../../gen.pro \
		../../../include.pro \
		/home/rkrusty/cvs/new/t/opie-1.0/base/opie-base-fb-1.0snapshot20030828/core/applets/homeapplet/homeapplet.pro
PRO      = homeapplet.pro
QMAKE_TARGET = homeapplet
DESTDIR  = $(OPIEDIR)/plugins/applets/
TARGET   = libhomeapplet.so.1.0.0
TARGETA	= $(OPIEDIR)/plugins/applets/libhomeapplet.a
TARGETD	= libhomeapplet.so.1.0.0
TARGET0	= libhomeapplet.so
TARGET1	= libhomeapplet.so.1
TARGET2	= libhomeapplet.so.1.0

first: all
####### Implicit rules

.SUFFIXES: .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile  $(OPIEDIR)/plugins/applets/$(TARGET)

$(OPIEDIR)/plugins/applets/$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC) $(SUBLIBS) 
	test -d $(OPIEDIR)/plugins/applets/ || mkdir -p $(OPIEDIR)/plugins/applets/
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)
	-$(DEL_FILE) $(OPIEDIR)/plugins/applets/$(TARGET)
	-$(DEL_FILE) $(OPIEDIR)/plugins/applets/$(TARGET0)
	-$(DEL_FILE) $(OPIEDIR)/plugins/applets/$(TARGET1)
	-$(DEL_FILE) $(OPIEDIR)/plugins/applets/$(TARGET2)
	-$(MOVE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2) $(OPIEDIR)/plugins/applets/



staticlib: $(TARGETA)

$(TARGETA): $(UICDECLS) $(OBJECTS) $(OBJMOC)
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS) $(OBJMOC)

mocables: $(SRCMOC)

$(MOC): 
	( cd $(QTDIR)/src/moc ; $(MAKE) )

Makefile: homeapplet.pro  /home/rkrusty/cvs/new/t/opie-1.0/base/opie-base-fb-1.0snapshot20030828/mkspecs/qws/linux-generic-g++/qmake.conf ../../../gen.pro \
		../../../include.pro
	$(QMAKE) -o Makefile homeapplet.pro
qmake: 
	@$(QMAKE) -o Makefile homeapplet.pro

dist: 
	@mkdir -p .tmp/homeapplet && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .tmp/homeapplet/ && $(COPY_FILE) --parents ../../../i18n/de/libhomeapplet.ts ../../../i18n/nl/libhomeapplet.ts ../../../i18n/da/libhomeapplet.ts ../../../i18n/xx/libhomeapplet.ts ../../../i18n/en/libhomeapplet.ts ../../../i18n/es/libhomeapplet.ts ../../../i18n/fr/libhomeapplet.ts ../../../i18n/hu/libhomeapplet.ts ../../../i18n/ja/libhomeapplet.ts ../../../i18n/ko/libhomeapplet.ts ../../../i18n/no/libhomeapplet.ts ../../../i18n/pl/libhomeapplet.ts ../../../i18n/pt/libhomeapplet.ts ../../../i18n/pt_BR/libhomeapplet.ts ../../../i18n/sl/libhomeapplet.ts ../../../i18n/zh_CN/libhomeapplet.ts ../../../i18n/zh_TW/libhomeapplet.ts .tmp/homeapplet/ && ( cd `dirname .tmp/homeapplet` && $(TAR) homeapplet.tar homeapplet && $(GZIP) homeapplet.tar ) && $(MOVE) `dirname .tmp/homeapplet`/homeapplet.tar.gz . && $(DEL_DIR) .tmp/homeapplet

mocclean:

uiclean:

clean:
	-$(DEL_FILE) $(OBJECTS) 
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(OPIEDIR)/plugins/applets/$(TARGET) $(TARGET)
	-$(DEL_FILE) $(OPIEDIR)/plugins/applets/$(TARGET0) $(OPIEDIR)/plugins/applets/$(TARGET1) $(OPIEDIR)/plugins/applets/$(TARGET2) $(TARGETA)


lupdate:
	lupdate -noobsolete $(PRO)

lrelease:
	lrelease $(PRO)

ipk:
	tmp=`mktemp -d /tmp/ipkg-opie.XXXXXXXXXX` && ( $(MAKE) INSTALL_ROOT="" install && ipkg-build ; rm -rf ; )

opie-lupdate:
	opie-lupdate $(PRO)

opie-lrelease:
	opie-lrelease $(PRO)

messages:
	xgettext -C -n -ktr -kQT_TRANSLATE_NOOP home.h home.cpp -o '$(OPIEDIR)/messages-$(QMAKE_TARGET)-tr.po' && xgettext -C -n -a home.h home.cpp -o '$(OPIEDIR)/messages-$(QMAKE_TARGET)-allstrings.po'

FORCE:

####### Compile

home.o: home.cpp home.h

####### Install

install_target: 
	@test -d $(INSTALL_ROOT)/usr/lib/ || mkdir -p $(INSTALL_ROOT)/usr/lib/
	-$(COPY) "$(OPIEDIR)/plugins/applets/$(TARGET)" "$(INSTALL_ROOT)/usr/lib/$(TARGET)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/$(TARGET0)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/$(TARGET1)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/$(TARGET2)"

uninstall_target: 
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/$(TARGET)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/$(TARGET0)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/$(TARGET1)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/$(TARGET2)"
	-$(DEL_DIR) "$(INSTALL_ROOT)/usr/lib/"


install: all install_target 

uninstall: uninstall_target

=== core/applets/logoutapplet/Makefile ===
#############################################################################
# Makefile for building: liblogoutapplet.so.1.0.0
# Generated by qmake (1.04a) on: Wed Aug 27 23:57:05 2003
# Project:  logoutapplet.pro
# Template: lib
# Command: $(QMAKE) -o Makefile logoutapplet.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe $(CFLAGS_EXTRA) -Wall -W $(if $(CFLAGS_RELEASE),$(CFLAGS_RELEASE), -O2) -fPIC  -DQT_NO_DEBUG
CXXFLAGS = -pipe $(CFLAGS_EXTRA) -DQWS -fno-exceptions -fno-rtti $(CXXFLAGS_EXTRA) -Wall -W $(if $(CFLAGS_RELEASE),$(CFLAGS_RELEASE), -O2) -fPIC  -DQT_NO_DEBUG
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I$(OPIEDIR)/include -I$(QTDIR)/include -I/home/rkrusty/cvs/new/t/opie-1.0/base/opie-base-fb-1.0snapshot20030828/mkspecs/qws/linux-generic-g++
LINK     = g++
LFLAGS   = $(LFLAGS_EXTRA) -shared -Wl,-soname,liblogoutapplet.so.1
LIBS     = $(SUBLIBS) -L$(OPIEDIR)/lib -L$(QTDIR)/lib $(LIBS_EXTRA) -lqpe -lqte
AR       = ar cqs
RANLIB   = 
MOC      = /usr/bin/moc
UIC      = /usr/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY) -p
COPY_DIR = $(COPY) -pR
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
PRO      = logoutapplet.pro

####### Output directory

OBJECTS_DIR = ./

####### Files

HEADERS = logout.h
SOURCES = logout.cpp
OBJECTS = logout.o
FORMS = 
UICDECLS = 
UICIMPLS = 
SRCMOC   = 
OBJMOC = 
DIST	   = ../../../gen.pro \
		../../../include.pro \
		/home/rkrusty/cvs/new/t/opie-1.0/base/opie-base-fb-1.0snapshot20030828/core/applets/logoutapplet/logoutapplet.pro
PRO      = logoutapplet.pro
QMAKE_TARGET = logoutapplet
DESTDIR  = $(OPIEDIR)/plugins/applets/
TARGET   = liblogoutapplet.so.1.0.0
TARGETA	= $(OPIEDIR)/plugins/applets/liblogoutapplet.a
TARGETD	= liblogoutapplet.so.1.0.0
TARGET0	= liblogoutapplet.so
TARGET1	= liblogoutapplet.so.1
TARGET2	= liblogoutapplet.so.1.0

first: all
####### Implicit rules

.SUFFIXES: .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile  $(OPIEDIR)/plugins/applets/$(TARGET)

$(OPIEDIR)/plugins/applets/$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC) $(SUBLIBS) 
	test -d $(OPIEDIR)/plugins/applets/ || mkdir -p $(OPIEDIR)/plugins/applets/
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)
	-$(DEL_FILE) $(OPIEDIR)/plugins/applets/$(TARGET)
	-$(DEL_FILE) $(OPIEDIR)/plugins/applets/$(TARGET0)
	-$(DEL_FILE) $(OPIEDIR)/plugins/applets/$(TARGET1)
	-$(DEL_FILE) $(OPIEDIR)/plugins/applets/$(TARGET2)
	-$(MOVE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2) $(OPIEDIR)/plugins/applets/



staticlib: $(TARGETA)

$(TARGETA): $(UICDECLS) $(OBJECTS) $(OBJMOC)
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS) $(OBJMOC)

mocables: $(SRCMOC)

$(MOC): 
	( cd $(QTDIR)/src/moc ; $(MAKE) )

Makefile: logoutapplet.pro  /home/rkrusty/cvs/new/t/opie-1.0/base/opie-base-fb-1.0snapshot20030828/mkspecs/qws/linux-generic-g++/qmake.conf ../../../gen.pro \
		../../../include.pro
	$(QMAKE) -o Makefile logoutapplet.pro
qmake: 
	@$(QMAKE) -o Makefile logoutapplet.pro

dist: 
	@mkdir -p .tmp/logoutapplet && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .tmp/logoutapplet/ && $(COPY_FILE) --parents ../../../i18n/de/liblogoutapplet.ts ../../../i18n/nl/liblogoutapplet.ts ../../../i18n/da/liblogoutapplet.ts ../../../i18n/xx/liblogoutapplet.ts ../../../i18n/en/liblogoutapplet.ts ../../../i18n/es/liblogoutapplet.ts ../../../i18n/fr/liblogoutapplet.ts ../../../i18n/hu/liblogoutapplet.ts ../../../i18n/ja/liblogoutapplet.ts ../../../i18n/ko/liblogoutapplet.ts ../../../i18n/no/liblogoutapplet.ts ../../../i18n/pl/liblogoutapplet.ts ../../../i18n/pt/liblogoutapplet.ts ../../../i18n/pt_BR/liblogoutapplet.ts ../../../i18n/sl/liblogoutapplet.ts ../../../i18n/zh_CN/liblogoutapplet.ts ../../../i18n/zh_TW/liblogoutapplet.ts .tmp/logoutapplet/ && ( cd `dirname .tmp/logoutapplet` && $(TAR) logoutapplet.tar logoutapplet && $(GZIP) logoutapplet.tar ) && $(MOVE) `dirname .tmp/logoutapplet`/logoutapplet.tar.gz . && $(DEL_DIR) .tmp/logoutapplet

mocclean:

uiclean:

clean:
	-$(DEL_FILE) $(OBJECTS) 
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(OPIEDIR)/plugins/applets/$(TARGET) $(TARGET)
	-$(DEL_FILE) $(OPIEDIR)/plugins/applets/$(TARGET0) $(OPIEDIR)/plugins/applets/$(TARGET1) $(OPIEDIR)/plugins/applets/$(TARGET2) $(TARGETA)


lupdate:
	lupdate -noobsolete $(PRO)

lrelease:
	lrelease $(PRO)

ipk:
	tmp=`mktemp -d /tmp/ipkg-opie.XXXXXXXXXX` && ( $(MAKE) INSTALL_ROOT="" install && ipkg-build ; rm -rf ; )

opie-lupdate:
	opie-lupdate $(PRO)

opie-lrelease:
	opie-lrelease $(PRO)

messages:
	xgettext -C -n -ktr -kQT_TRANSLATE_NOOP logout.h logout.cpp -o '$(OPIEDIR)/messages-$(QMAKE_TARGET)-tr.po' && xgettext -C -n -a logout.h logout.cpp -o '$(OPIEDIR)/messages-$(QMAKE_TARGET)-allstrings.po'

FORCE:

####### Compile

logout.o: logout.cpp logout.h

####### Install

install_target: 
	@test -d $(INSTALL_ROOT)/usr/lib/ || mkdir -p $(INSTALL_ROOT)/usr/lib/
	-$(COPY) "$(OPIEDIR)/plugins/applets/$(TARGET)" "$(INSTALL_ROOT)/usr/lib/$(TARGET)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/$(TARGET0)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/$(TARGET1)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/$(TARGET2)"

uninstall_target: 
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/$(TARGET)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/$(TARGET0)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/$(TARGET1)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/$(TARGET2)"
	-$(DEL_DIR) "$(INSTALL_ROOT)/usr/lib/"


install: all install_target 

uninstall: uninstall_target

=== core/applets/suspendapplet/Makefile ===
#############################################################################
# Makefile for building: libsuspendapplet.so.1.0.0
# Generated by qmake (1.04a) on: Wed Aug 27 23:58:14 2003
# Project:  suspendapplet.pro
# Template: lib
# Command: $(QMAKE) -o Makefile suspendapplet.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe $(CFLAGS_EXTRA) -Wall -W $(if $(CFLAGS_RELEASE),$(CFLAGS_RELEASE), -O2) -fPIC  -DQT_NO_DEBUG
CXXFLAGS = -pipe $(CFLAGS_EXTRA) -DQWS -fno-exceptions -fno-rtti $(CXXFLAGS_EXTRA) -Wall -W $(if $(CFLAGS_RELEASE),$(CFLAGS_RELEASE), -O2) -fPIC  -DQT_NO_DEBUG
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I$(OPIEDIR)/include -I$(QTDIR)/include -I/home/rkrusty/cvs/new/t/opie-1.0/base/opie-base-fb-1.0snapshot20030828/mkspecs/qws/linux-generic-g++
LINK     = g++
LFLAGS   = $(LFLAGS_EXTRA) -shared -Wl,-soname,libsuspendapplet.so.1
LIBS     = $(SUBLIBS) -L$(OPIEDIR)/lib -L$(QTDIR)/lib $(LIBS_EXTRA) -lqpe -lqte
AR       = ar cqs
RANLIB   = 
MOC      = /usr/bin/moc
UIC      = /usr/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY) -p
COPY_DIR = $(COPY) -pR
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
PRO      = suspendapplet.pro

####### Output directory

OBJECTS_DIR = ./

####### Files

HEADERS = suspend.h
SOURCES = suspend.cpp
OBJECTS = suspend.o
FORMS = 
UICDECLS = 
UICIMPLS = 
SRCMOC   = 
OBJMOC = 
DIST	   = ../../../gen.pro \
		../../../include.pro \
		/home/rkrusty/cvs/new/t/opie-1.0/base/opie-base-fb-1.0snapshot20030828/core/applets/suspendapplet/suspendapplet.pro
PRO      = suspendapplet.pro
QMAKE_TARGET = suspendapplet
DESTDIR  = $(OPIEDIR)/plugins/applets/
TARGET   = libsuspendapplet.so.1.0.0
TARGETA	= $(OPIEDIR)/plugins/applets/libsuspendapplet.a
TARGETD	= libsuspendapplet.so.1.0.0
TARGET0	= libsuspendapplet.so
TARGET1	= libsuspendapplet.so.1
TARGET2	= libsuspendapplet.so.1.0

first: all
####### Implicit rules

.SUFFIXES: .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile  $(OPIEDIR)/plugins/applets/$(TARGET)

$(OPIEDIR)/plugins/applets/$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC) $(SUBLIBS) 
	test -d $(OPIEDIR)/plugins/applets/ || mkdir -p $(OPIEDIR)/plugins/applets/
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)
	-$(DEL_FILE) $(OPIEDIR)/plugins/applets/$(TARGET)
	-$(DEL_FILE) $(OPIEDIR)/plugins/applets/$(TARGET0)
	-$(DEL_FILE) $(OPIEDIR)/plugins/applets/$(TARGET1)
	-$(DEL_FILE) $(OPIEDIR)/plugins/applets/$(TARGET2)
	-$(MOVE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2) $(OPIEDIR)/plugins/applets/



staticlib: $(TARGETA)

$(TARGETA): $(UICDECLS) $(OBJECTS) $(OBJMOC)
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS) $(OBJMOC)

mocables: $(SRCMOC)

$(MOC): 
	( cd $(QTDIR)/src/moc ; $(MAKE) )

Makefile: suspendapplet.pro  /home/rkrusty/cvs/new/t/opie-1.0/base/opie-base-fb-1.0snapshot20030828/mkspecs/qws/linux-generic-g++/qmake.conf ../../../gen.pro \
		../../../include.pro
	$(QMAKE) -o Makefile suspendapplet.pro
qmake: 
	@$(QMAKE) -o Makefile suspendapplet.pro

dist: 
	@mkdir -p .tmp/suspendapplet && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .tmp/suspendapplet/ && $(COPY_FILE) --parents ../../../i18n/de/libsuspendapplet.ts ../../../i18n/nl/libsuspendapplet.ts ../../../i18n/da/libsuspendapplet.ts ../../../i18n/xx/libsuspendapplet.ts ../../../i18n/en/libsuspendapplet.ts ../../../i18n/es/libsuspendapplet.ts ../../../i18n/fr/libsuspendapplet.ts ../../../i18n/hu/libsuspendapplet.ts ../../../i18n/ja/libsuspendapplet.ts ../../../i18n/ko/libsuspendapplet.ts ../../../i18n/no/libsuspendapplet.ts ../../../i18n/pl/libsuspendapplet.ts ../../../i18n/pt/libsuspendapplet.ts ../../../i18n/pt_BR/libsuspendapplet.ts ../../../i18n/sl/libsuspendapplet.ts ../../../i18n/zh_CN/libsuspendapplet.ts ../../../i18n/zh_TW/libsuspendapplet.ts .tmp/suspendapplet/ && ( cd `dirname .tmp/suspendapplet` && $(TAR) suspendapplet.tar suspendapplet && $(GZIP) suspendapplet.tar ) && $(MOVE) `dirname .tmp/suspendapplet`/suspendapplet.tar.gz . && $(DEL_DIR) .tmp/suspendapplet

mocclean:

uiclean:

clean:
	-$(DEL_FILE) $(OBJECTS) 
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(OPIEDIR)/plugins/applets/$(TARGET) $(TARGET)
	-$(DEL_FILE) $(OPIEDIR)/plugins/applets/$(TARGET0) $(OPIEDIR)/plugins/applets/$(TARGET1) $(OPIEDIR)/plugins/applets/$(TARGET2) $(TARGETA)


lupdate:
	lupdate -noobsolete $(PRO)

lrelease:
	lrelease $(PRO)

ipk:
	tmp=`mktemp -d /tmp/ipkg-opie.XXXXXXXXXX` && ( $(MAKE) INSTALL_ROOT="" install && ipkg-build ; rm -rf ; )

opie-lupdate:
	opie-lupdate $(PRO)

opie-lrelease:
	opie-lrelease $(PRO)

messages:
	xgettext -C -n -ktr -kQT_TRANSLATE_NOOP suspend.h suspend.cpp -o '$(OPIEDIR)/messages-$(QMAKE_TARGET)-tr.po' && xgettext -C -n -a suspend.h suspend.cpp -o '$(OPIEDIR)/messages-$(QMAKE_TARGET)-allstrings.po'

FORCE:

####### Compile

suspend.o: suspend.cpp suspend.h

####### Install

install_target: 
	@test -d $(INSTALL_ROOT)/usr/lib/ || mkdir -p $(INSTALL_ROOT)/usr/lib/
	-$(COPY) "$(OPIEDIR)/plugins/applets/$(TARGET)" "$(INSTALL_ROOT)/usr/lib/$(TARGET)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/$(TARGET0)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/$(TARGET1)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/$(TARGET2)"

uninstall_target: 
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/$(TARGET)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/$(TARGET0)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/$(TARGET1)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/$(TARGET2)"
	-$(DEL_DIR) "$(INSTALL_ROOT)/usr/lib/"


install: all install_target 

uninstall: uninstall_target

=== core/apps/calibrate/Makefile ===
#############################################################################
# Makefile for building: $(OPIEDIR)/bin/calibrate
# Generated by qmake (1.04a) on: Fri Aug 29 11:45:41 2003
# Project:  calibrate.pro
# Template: app
# Command: $(QMAKE) -o Makefile calibrate.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe $(CFLAGS_EXTRA) -Wall -W $(if $(CFLAGS_RELEASE),$(CFLAGS_RELEASE), -O2)  -DQT_NO_DEBUG
CXXFLAGS = -pipe $(CFLAGS_EXTRA) -DQWS -fno-exceptions -fno-rtti $(CXXFLAGS_EXTRA) -Wall -W $(if $(CFLAGS_RELEASE),$(CFLAGS_RELEASE), -O2)  -DQT_NO_DEBUG
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I$(QTDIR)/include -I$(OPIEDIR)/include -I$(QTDIR)/include -I/home/rkrusty/cvs/new/t/opie-1.0/base/opie-base-fb-1.0.1.1snapshot20030828/mkspecs/qws/linux-generic-g++
LINK     = g++
LFLAGS   = $(LFLAGS_EXTRA)
LIBS     = $(SUBLIBS) -L$(OPIEDIR)/lib -L$(QTDIR)/lib $(LIBS_EXTRA) -lqpe -lqte
AR       = ar cqs
RANLIB   = 
MOC      = /usr/bin/moc
UIC      = /usr/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY) -p
COPY_DIR = $(COPY) -pR
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
PRO      = calibrate.pro

####### Output directory

OBJECTS_DIR = ./

####### Files

HEADERS = calibrate.h
SOURCES = calibrate.cpp \
		main.cpp
OBJECTS = calibrate.o \
		main.o
FORMS = 
UICDECLS = 
UICIMPLS = 
SRCMOC   = moc_calibrate.cpp
OBJMOC = moc_calibrate.o
DIST	   = ../../../gen.pro \
		../../../include.pro \
		/home/rkrusty/cvs/new/t/opie-1.0/base/opie-base-fb-1.0.1.1snapshot20030828/core/apps/calibrate/calibrate.pro
PRO      = calibrate.pro
QMAKE_TARGET = calibrate
DESTDIR  = $(OPIEDIR)/bin/
TARGET   = $(OPIEDIR)/bin/calibrate

first: all
####### Implicit rules

.SUFFIXES: .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET): $(UICDECLS) $(OBJECTS) $(OBJMOC) 
	test -d $(OPIEDIR)/bin/ || mkdir -p $(OPIEDIR)/bin/
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

mocables: $(SRCMOC)

$(MOC): 
	( cd $(QTDIR)/src/moc ; $(MAKE) )

Makefile: calibrate.pro  /home/rkrusty/cvs/new/t/opie-1.0/base/opie-base-fb-1.0.1.1snapshot20030828/mkspecs/qws/linux-generic-g++/qmake.conf ../../../gen.pro \
		../../../include.pro
	$(QMAKE) -o Makefile calibrate.pro
qmake: 
	@$(QMAKE) -o Makefile calibrate.pro

dist: 
	@mkdir -p .tmp/calibrate && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .tmp/calibrate/ && $(COPY_FILE) --parents ../../../i18n/de/calibrate.pro.in.ts ../../../i18n/nl/calibrate.pro.in.ts ../../../i18n/da/calibrate.pro.in.ts ../../../i18n/xx/calibrate.pro.in.ts ../../../i18n/en/calibrate.pro.in.ts ../../../i18n/es/calibrate.pro.in.ts ../../../i18n/fr/calibrate.pro.in.ts ../../../i18n/hu/calibrate.pro.in.ts ../../../i18n/ja/calibrate.pro.in.ts ../../../i18n/ko/calibrate.pro.in.ts ../../../i18n/no/calibrate.pro.in.ts ../../../i18n/pl/calibrate.pro.in.ts ../../../i18n/pt/calibrate.pro.in.ts ../../../i18n/pt_BR/calibrate.pro.in.ts ../../../i18n/sl/calibrate.pro.in.ts ../../../i18n/zh_CN/calibrate.pro.in.ts ../../../i18n/it/calibrate.pro.in.ts ../../../i18n/zh_TW/calibrate.pro.in.ts .tmp/calibrate/ && ( cd `dirname .tmp/calibrate` && $(TAR) calibrate.tar calibrate && $(GZIP) calibrate.tar ) && $(MOVE) `dirname .tmp/calibrate`/calibrate.tar.gz . && $(DEL_DIR) .tmp/calibrate

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:

clean: mocclean
	-$(DEL_FILE) $(OBJECTS) 
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(OPIEDIR)/bin/$(TARGET) $(TARGET)


lupdate:
	lupdate -noobsolete $(PRO)

lrelease:
	lrelease $(PRO)

ipk:
	tmp=`mktemp -d /tmp/ipkg-opie.XXXXXXXXXX` && ( $(MAKE) INSTALL_ROOT="" install && ipkg-build ; rm -rf ; )

opie-lupdate:
	opie-lupdate $(PRO)

opie-lrelease:
	opie-lrelease $(PRO)

messages:
	xgettext -C -n -ktr -kQT_TRANSLATE_NOOP calibrate.h calibrate.cpp main.cpp -o '$(OPIEDIR)/messages-$(QMAKE_TARGET)-tr.po' && xgettext -C -n -a calibrate.h calibrate.cpp main.cpp -o '$(OPIEDIR)/messages-$(QMAKE_TARGET)-allstrings.po'

FORCE:

####### Compile

calibrate.o: calibrate.cpp calibrate.h \
		$(QTDIR)/include/qapplication.h \
		$(QTDIR)/include/qpainter.h \
		$(QTDIR)/include/qtimer.h \
		$(QTDIR)/include/qwindowsystem_qws.h \
		$(QTDIR)/include/qgfx_qws.h \
		$(QTDIR)/include/qwsmouse_qws.h \
		$(QTDIR)/include/qdialog.h \
		$(QTDIR)/include/qpixmap.h \
		$(QTDIR)/include/qobject.h \
		$(QTDIR)/include/qpointarray.h \
		$(QTDIR)/include/qobjectdefs.h \
		$(QTDIR)/include/qwindowdefs.h \
		$(QTDIR)/include/qstring.h \
		$(QTDIR)/include/qevent.h \
		$(QTDIR)/include/qnamespace.h \
		$(QTDIR)/include/qstringlist.h \
		$(QTDIR)/include/qglobal.h \
		$(QTDIR)/include/qconfig.h \
		$(QTDIR)/include/qfeatures.h \
		$(QTDIR)/include/qcstring.h \
		$(QTDIR)/include/qarray.h \
		$(QTDIR)/include/qgarray.h \
		$(QTDIR)/include/qshared.h \
		$(QTDIR)/include/qregion.h \
		$(QTDIR)/include/qmime.h \
		$(QTDIR)/include/qrect.h \
		$(QTDIR)/include/qsize.h \
		$(QTDIR)/include/qpoint.h \
		$(QTDIR)/include/qlist.h \
		$(QTDIR)/include/qglist.h \
		$(QTDIR)/include/qcollection.h \
		$(QTDIR)/include/qvaluelist.h \
		$(QTDIR)/include/qregexp.h \
		$(QTDIR)/include/qdatastream.h \
		$(QTDIR)/include/qiodevice.h \
		$(QTDIR)/include/qwidget.h \
		$(QTDIR)/include/qpaintdevice.h \
		$(QTDIR)/include/qpalette.h \
		$(QTDIR)/include/qcursor.h \
		$(QTDIR)/include/qfont.h \
		$(QTDIR)/include/qfontmetrics.h \
		$(QTDIR)/include/qfontinfo.h \
		$(QTDIR)/include/qstyle.h \
		$(QTDIR)/include/qsizepolicy.h \
		$(QTDIR)/include/qcolor.h \
		$(QTDIR)/include/qbrush.h \
		$(QTDIR)/include/qasciidict.h \
		$(QTDIR)/include/qtranslator.h \
		$(QTDIR)/include/qgdict.h \
		$(QTDIR)/include/qintdict.h \
		$(QTDIR)/include/qpen.h \
		$(QTDIR)/include/qwmatrix.h \
		$(QTDIR)/include/qwssocket_qws.h \
		$(QTDIR)/include/qmap.h \
		$(QTDIR)/include/qdatetime.h \
		$(QTDIR)/include/qimage.h \
		$(QTDIR)/include/qwsproperty_qws.h \
		$(QTDIR)/include/qwscommand_qws.h \
		$(QTDIR)/include/qwsevent_qws.h \
		$(QTDIR)/include/qkeyboard_qws.h \
		$(QTDIR)/include/qsocket.h \
		$(QTDIR)/include/qserversocket.h \
		$(QTDIR)/include/qsocketdevice.h \
		$(QTDIR)/include/qsocketnotifier.h \
		$(QTDIR)/include/qhostaddress.h \
		$(QTDIR)/include/qstrlist.h \
		$(QTDIR)/include/qwsutils_qws.h \
		$(QTDIR)/include/qfontmanager_qws.h

main.o: main.cpp calibrate.h \
		$(QTDIR)/include/qfile.h \
		$(QTDIR)/include/qwindowsystem_qws.h \
		$(QTDIR)/include/qwsmouse_qws.h \
		$(QTDIR)/include/qdialog.h \
		$(QTDIR)/include/qpixmap.h \
		$(QTDIR)/include/qobject.h \
		$(QTDIR)/include/qpointarray.h \
		$(QTDIR)/include/qobjectdefs.h \
		$(QTDIR)/include/qwindowdefs.h \
		$(QTDIR)/include/qstring.h \
		$(QTDIR)/include/qevent.h \
		$(QTDIR)/include/qnamespace.h \
		$(QTDIR)/include/qstringlist.h \
		$(QTDIR)/include/qglobal.h \
		$(QTDIR)/include/qconfig.h \
		$(QTDIR)/include/qfeatures.h \
		$(QTDIR)/include/qcstring.h \
		$(QTDIR)/include/qarray.h \
		$(QTDIR)/include/qgarray.h \
		$(QTDIR)/include/qshared.h \
		$(QTDIR)/include/qregion.h \
		$(QTDIR)/include/qmime.h \
		$(QTDIR)/include/qrect.h \
		$(QTDIR)/include/qsize.h \
		$(QTDIR)/include/qpoint.h \
		$(QTDIR)/include/qlist.h \
		$(QTDIR)/include/qglist.h \
		$(QTDIR)/include/qcollection.h \
		$(QTDIR)/include/qvaluelist.h \
		$(QTDIR)/include/qregexp.h \
		$(QTDIR)/include/qdatastream.h \
		$(QTDIR)/include/qiodevice.h \
		$(QTDIR)/include/qwidget.h \
		$(QTDIR)/include/qpaintdevice.h \
		$(QTDIR)/include/qpalette.h \
		$(QTDIR)/include/qcursor.h \
		$(QTDIR)/include/qfont.h \
		$(QTDIR)/include/qfontmetrics.h \
		$(QTDIR)/include/qfontinfo.h \
		$(QTDIR)/include/qstyle.h \
		$(QTDIR)/include/qsizepolicy.h \
		$(QTDIR)/include/qcolor.h \
		$(QTDIR)/include/qbrush.h \
		$(QTDIR)/include/qwssocket_qws.h \
		$(QTDIR)/include/qmap.h \
		$(QTDIR)/include/qdatetime.h \
		$(QTDIR)/include/qimage.h \
		$(QTDIR)/include/qintdict.h \
		$(QTDIR)/include/qwsproperty_qws.h \
		$(QTDIR)/include/qwscommand_qws.h \
		$(QTDIR)/include/qwsevent_qws.h \
		$(QTDIR)/include/qkeyboard_qws.h \
		$(QTDIR)/include/qsocket.h \
		$(QTDIR)/include/qserversocket.h \
		$(QTDIR)/include/qsocketdevice.h \
		$(QTDIR)/include/qsocketnotifier.h \
		$(QTDIR)/include/qhostaddress.h \
		$(QTDIR)/include/qstrlist.h \
		$(QTDIR)/include/qgdict.h \
		$(QTDIR)/include/qwsutils_qws.h

moc_calibrate.o: moc_calibrate.cpp calibrate.h $(QTDIR)/include/qwsmouse_qws.h \
		$(QTDIR)/include/qdialog.h \
		$(QTDIR)/include/qpixmap.h \
		$(QTDIR)/include/qobject.h \
		$(QTDIR)/include/qpointarray.h \
		$(QTDIR)/include/qobjectdefs.h \
		$(QTDIR)/include/qwindowdefs.h \
		$(QTDIR)/include/qstring.h \
		$(QTDIR)/include/qevent.h \
		$(QTDIR)/include/qnamespace.h \
		$(QTDIR)/include/qstringlist.h \
		$(QTDIR)/include/qglobal.h \
		$(QTDIR)/include/qconfig.h \
		$(QTDIR)/include/qfeatures.h \
		$(QTDIR)/include/qcstring.h \
		$(QTDIR)/include/qarray.h \
		$(QTDIR)/include/qgarray.h \
		$(QTDIR)/include/qshared.h \
		$(QTDIR)/include/qregion.h \
		$(QTDIR)/include/qmime.h \
		$(QTDIR)/include/qrect.h \
		$(QTDIR)/include/qsize.h \
		$(QTDIR)/include/qpoint.h \
		$(QTDIR)/include/qlist.h \
		$(QTDIR)/include/qglist.h \
		$(QTDIR)/include/qcollection.h \
		$(QTDIR)/include/qvaluelist.h \
		$(QTDIR)/include/qregexp.h \
		$(QTDIR)/include/qdatastream.h \
		$(QTDIR)/include/qiodevice.h \
		$(QTDIR)/include/qwidget.h \
		$(QTDIR)/include/qpaintdevice.h \
		$(QTDIR)/include/qpalette.h \
		$(QTDIR)/include/qcursor.h \
		$(QTDIR)/include/qfont.h \
		$(QTDIR)/include/qfontmetrics.h \
		$(QTDIR)/include/qfontinfo.h \
		$(QTDIR)/include/qstyle.h \
		$(QTDIR)/include/qsizepolicy.h \
		$(QTDIR)/include/qcolor.h \
		$(QTDIR)/include/qbrush.h

moc_calibrate.cpp: $(MOC) calibrate.h
	$(MOC) calibrate.h -o moc_calibrate.cpp

####### Install

install_target: 
	@test -d $(INSTALL_ROOT)/usr/bin/ || mkdir -p $(INSTALL_ROOT)/usr/bin/
	-$(COPY) "$(OPIEDIR)/bin/$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"

uninstall_target: 
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) "$(INSTALL_ROOT)/usr/bin/"


install: all install_target 

uninstall: uninstall_target

=== core/apps/qcop/Makefile ===
#############################################################################
# Makefile for building: $(OPIEDIR)/bin/qcop
# Generated by qmake (1.04a) on: Wed Aug 27 23:58:09 2003
# Project:  qcop.pro
# Template: app
# Command: $(QMAKE) -o Makefile qcop.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe $(CFLAGS_EXTRA) -Wall -W $(if $(CFLAGS_RELEASE),$(CFLAGS_RELEASE), -O2)  -DQT_NO_DEBUG
CXXFLAGS = -pipe $(CFLAGS_EXTRA) -DQWS -fno-exceptions -fno-rtti $(CXXFLAGS_EXTRA) -Wall -W $(if $(CFLAGS_RELEASE),$(CFLAGS_RELEASE), -O2)  -DQT_NO_DEBUG
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I$(OPIEDIR)/include -I$(QTDIR)/include -I/home/rkrusty/cvs/new/t/opie-1.0/base/opie-base-fb-1.0snapshot20030828/mkspecs/qws/linux-generic-g++
LINK     = g++
LFLAGS   = $(LFLAGS_EXTRA)
LIBS     = $(SUBLIBS) -L$(OPIEDIR)/lib -L$(QTDIR)/lib $(LIBS_EXTRA) -lqpe -lqte
AR       = ar cqs
RANLIB   = 
MOC      = /usr/bin/moc
UIC      = /usr/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY) -p
COPY_DIR = $(COPY) -pR
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
PRO      = qcop.pro

####### Output directory

OBJECTS_DIR = ./

####### Files

HEADERS = 
SOURCES = main.cpp
OBJECTS = main.o
FORMS = 
UICDECLS = 
UICIMPLS = 
SRCMOC   = 
OBJMOC = 
DIST	   = ../../../gen.pro \
		../../../include.pro \
		/home/rkrusty/cvs/new/t/opie-1.0/base/opie-base-fb-1.0snapshot20030828/core/apps/qcop/qcop.pro
PRO      = qcop.pro
QMAKE_TARGET = qcop
DESTDIR  = $(OPIEDIR)/bin/
TARGET   = $(OPIEDIR)/bin/qcop

first: all
####### Implicit rules

.SUFFIXES: .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET): $(UICDECLS) $(OBJECTS) $(OBJMOC) 
	test -d $(OPIEDIR)/bin/ || mkdir -p $(OPIEDIR)/bin/
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

mocables: $(SRCMOC)

$(MOC): 
	( cd $(QTDIR)/src/moc ; $(MAKE) )

Makefile: qcop.pro  /home/rkrusty/cvs/new/t/opie-1.0/base/opie-base-fb-1.0snapshot20030828/mkspecs/qws/linux-generic-g++/qmake.conf ../../../gen.pro \
		../../../include.pro
	$(QMAKE) -o Makefile qcop.pro
qmake: 
	@$(QMAKE) -o Makefile qcop.pro

dist: 
	@mkdir -p .tmp/qcop && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .tmp/qcop/ && $(COPY_FILE) --parents ../../../i18n/de/qcop.ts ../../../i18n/nl/qcop.ts ../../../i18n/da/qcop.ts ../../../i18n/xx/qcop.ts ../../../i18n/en/qcop.ts ../../../i18n/es/qcop.ts ../../../i18n/fr/qcop.ts ../../../i18n/hu/qcop.ts ../../../i18n/ja/qcop.ts ../../../i18n/ko/qcop.ts ../../../i18n/no/qcop.ts ../../../i18n/pl/qcop.ts ../../../i18n/pt/qcop.ts ../../../i18n/pt_BR/qcop.ts ../../../i18n/sl/qcop.ts ../../../i18n/zh_CN/qcop.ts ../../../i18n/zh_TW/qcop.ts .tmp/qcop/ && ( cd `dirname .tmp/qcop` && $(TAR) qcop.tar qcop && $(GZIP) qcop.tar ) && $(MOVE) `dirname .tmp/qcop`/qcop.tar.gz . && $(DEL_DIR) .tmp/qcop

mocclean:

uiclean:

clean:
	-$(DEL_FILE) $(OBJECTS) 
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(OPIEDIR)/bin/$(TARGET) $(TARGET)


lupdate:
	lupdate -noobsolete $(PRO)

lrelease:
	lrelease $(PRO)

ipk:
	tmp=`mktemp -d /tmp/ipkg-opie.XXXXXXXXXX` && ( $(MAKE) INSTALL_ROOT="" install && ipkg-build ; rm -rf ; )

opie-lupdate:
	opie-lupdate $(PRO)

opie-lrelease:
	opie-lrelease $(PRO)

messages:
	xgettext -C -n -ktr -kQT_TRANSLATE_NOOP main.cpp -o '$(OPIEDIR)/messages-$(QMAKE_TARGET)-tr.po' && xgettext -C -n -a main.cpp -o '$(OPIEDIR)/messages-$(QMAKE_TARGET)-allstrings.po'

FORCE:

####### Compile

main.o: main.cpp 

####### Install

install_target: 
	@test -d $(INSTALL_ROOT)/usr/bin/ || mkdir -p $(INSTALL_ROOT)/usr/bin/
	-$(COPY) "$(OPIEDIR)/bin/$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"

uninstall_target: 
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) "$(INSTALL_ROOT)/usr/bin/"


install: all install_target 

uninstall: uninstall_target

=== debian/changelog ===
opie-base-fb (1.0.1.1snapshot20030828-2) unstable; urgency=low

  * More build fixes
  * Minor upstream updates

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 09 Sep 2003 08:50:00 -0700

opie-base-fb (1.0.1.1snapshot20030828-1) unstable; urgency=low

  * New upstream version

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 29 Aug 2003 11:27:00 -0700

opie-base-fb (1.0snapshot20030828-1) unstable; urgency=low

  * New upstream version

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 27 Aug 2003 23:10:00 -0700

opie-base-fb (0.9.3.0snapshot20030628-1) unstable; urgency=low

  * New upstream version

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 28 Jun 2003 18:08:00 -0700

opie-base-fb (0.9.3-1) unstable; urgency=low

  * New upstream version
  * Add in a | pmud to op-taskbar-fb (Closes: #186728)

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 05 Apr 2003 01:11:00 -0700

opie-base-fb (0.9.1-0.snapshot.20030303-2) unstable; urgency=low

  * First round of description cleanup
  * Some upstream fixes

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 10 Mar 2003 12:17:00 -0700

opie-base-fb (0.9.1-0.snapshot.20030303-1) unstable; urgency=low

  * New upstream pull
  * Change from fb to embedded for sections

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 03 Mar 2003 04:14:00 -0700

opie-base-fb (0.9.1-0.snapshot.20030209-2) unstable; urgency=low

  * Add missing build-dep for flex

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 16 Feb 2003 02:13:00 -0700

opie-base-fb (0.9.1-0.snapshot.20030209-1) unstable; urgency=low

  * Change prefix from opie- to op- so we don't confuse people with the
    already existing opie- packages in Debian.

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 10 Feb 2003 01:00:00 -0700

opie-base-fb (0.9.1-0.snapshot.20030205-1) unstable; urgency=low

  * Breaking out into individual source packages to make it easier to
    manage.
  * This package includes: opie-login-fb, opie-taskbar-fb, opiealarm-fb,
                           opie-pics, opie-sounds, opie-common, opie-qcop-fb
                           and the meta package opie-base-fb.
  * Supposed to include Calibrate.desktop however calibrate doesn't compile.

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 05 Feb 2003 06:18:00 -0700

opie-fb (0.9.1-0.snapshot.20030204-1) unstable; urgency=low

  * Fix pathing in Opie-Sh scripts
  * Fix pathing in opie-login scripts
  * Change OPIEDIR default when OPIEDIR is not set to /usr/share/opie...so
    we should *not* need to have it set anymore in the same sense as QTDIR.
  * HUGE patch breaking out all of the qpeDir() statements to individual
    types (submitted upstream) so we can change paths globally in one location.
  * Change source name to opie-fb and change package extensions from -fb to
    -fb to better match what they are for.  Framebuffer vs Qt/E.

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 04 Feb 2003 06:18:00 -0700

opie-fb (0.9.1-0.snapshot.20030203-1) unstable; urgency=low

  * Break out packages a bit more.  Ok..maybe more than a bit...ftpmasters
    are going to kill me if this is what we end up with.
    Using -fb for non-opie specific Qt/E packages.
    opie-games -> individual games and a opie-games meta package
    opie-styles and opie-decorations are now meta packages
    libopietooth1 & libopietooth-dev exist now.
    embeddedkonsole-fb, textedit-qte, opie-login, filebrowser-qte,
    helpbrowser-fb, mediaplayer-qte, mobilemsg-qte, aqpkg-qte, 
    bluepin-fb
    oipkg-fb created but not in use since it requires a external app
    opie-core -> opie-base
    a bunch more...figure it out yourself!!! :)
  * opie-fb meta package created which will depend on all Opie packages
  * Sync with upstream
  * Arm specific build optimization added

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 03 Feb 2003 03:35:00 -0700

opie-fb (0.9.1-0.snapshot.20030131-1) unstable; urgency=low

  * Initial Release. (Closes: #179176)
  * All changes to source outside of the debian/ dir are via patches 
    which are in debian/patches.  Applied prior to build process and
    removed during a clean.
  * First round is Qt/Embedded based only. OPIEDIR=/usr/share/opie
  * Hardcode QTDIR to the proper place as well.  Well, this is a fallback
    so if you build your own based on this source and have QTDIR actually
    set to something other than Debian's default you'll be ok.

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 30 Jan 2003 20:58:56 -0700

=== debian/control ===
Source: opie-base-fb
Section: embedded
Priority: optional
Maintainer: Ivan E. Moore II <rkrusty@debian.org>
Build-Depends: debhelper (>> 4.1.26), libqte2-dev, libqpe-fb-dev (>= 1.0.1), libopie-fb-dev (>= 1.0.1), libpam0g-dev, uuid-dev, libjpeg62-dev, flex, bison, libfreetype6-dev
Standards-Version: 3.5.8

Package: op-fb
Architecture: all
Section: embedded
Depends: op-login-fb, op-taskbar-fb, op-sounds, op-pics, op-settings-fb, op-applets-fb, op-apps-fb, op-comnet-fb, op-games-fb, op-inputmethods-fb, op-multimedia-fb, op-pim-fb, op-decorations-fb, op-styles-fb, op-graphics-fb, op-tools-fb
Recommends: op-i18n, op-doc
Suggests: op-alarm-fb
Description: Open Palm Integrated Environment
 Meta package depending on all components of the 
 frame buffer version of Opie.
 .
 Opie is a "fork" of the Qtopia codebase.  The purpose of Opie is to
 provide a integrated environment for embedded devices.

Package: op-login-fb
Architecture: any
Section: embedded
Depends: ${shlibs:Depends}, op-base, op-taskbar-fb
Description: Multiuser login for Opie
 A xdm/kdm equivalent for Opie.  
 .
 This is the frame buffer version.
 .
 Opie is a "fork" of the Qtopia codebase.  The purpose of Opie is to
 provide a integrated environment for embedded devices.

Package: op-taskbar-fb
Architecture: any
Section: embedded
Depends: ${shlibs:Depends}, apmd | pmud, op-common, op-qcop-fb, op-sounds, op-pics
Description: Launcher for Opie
 Base applications and support files for Opie.  This includes taskbar
 and launcher apps.
 .
 This is the frame buffer version.
  .
 Opie is a "fork" of the Qtopia codebase.  The purpose of Opie is to
 provide a integrated environment for embedded devices.

Package: op-alarm-fb
Architecture: any
Section: utils
Replaces: atd
Depends: ${shlibs:Depends}, op-base, hotplug
Provides: atd
Description: Wakeup system for Opie events
 Tiny, Opie specific replacement for ipaqalarm, uschedule, and
 qpe2uschedule.
 .
 This is the frame buffer version.
 .
 Opie is a "fork" of the Qtopia codebase.  The purpose of Opie is to
 provide a integrated environment for embedded devices.

Package: op-pics
Architecture: all
Section: embedded
Depends: op-taskbar-fb
Description: a few unassigned for Opie environment
 General Opie icons which can be used by any Opie application.
 .
 Opie is a "fork" of the Qtopia codebase.  The purpose of Opie is to
 provide a integrated environment for embedded devices.

Package: op-sounds
Architecture: all
Section: embedded
Depends: op-taskbar-fb
Description: Basic sounds for the Opie environment
 General Opie sounds which can be used by any Opie application.
 .
 Opie is a "fork" of the Qtopia codebase.  The purpose of Opie is to
 provide a integrated environment for embedded devices.

Package: op-common
Architecture: all
Section: embedded
Replaces: op-base
Provides: op-base, qpe-base
Description: Common core files for Opie
 These are core files common to all Opie applications.
 .
 Opie is a "fork" of the Qtopia codebase.  The purpose of Opie is to
 provide a integrated environment for embedded devices.

Package: op-qcop-fb
Architecture: any
Section: embedded
Depends: ${shlibs:Depends}
Description: Interprocess communication client
 This is Opie's Interprocess communication client.
 .
 Opie is a "fork" of the Qtopia codebase.  The purpose of Opie is to
 provide a integrated environment for embedded devices.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DH_COMPAT=4
export DH_OPTIONS

export QTDIR=/usr/share/qte2
export OPIEDIR=$(shell pwd)

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_ARCH),hppa)
  export CFLAGS_EXTRA = -ftemplate-depth-99 -ffunction-sections
  export CXXFLAGS_EXTRA = -ftemplate-depth-99 -ffunction-sections
endif

ifeq ($(DEB_BUILD_GNU_ARCH),arm)
  export CFLAGS_EXTRA = -march=armv4 -mapcs-32 \
	-fexpensive-optimizations -fomit-frame-pointer
  export CXXFLAGS_EXTRA = -march=armv4 -mapcs-32 \
	-fexpensive-optimizations -fomit-frame-pointer
endif

build: patch build-stamp
build-stamp:
	dh_testdir
	-cp debian/maintain/config.in .
ifeq ($(DEB_BUILD_GNU_ARCH),arm)
	-cp debian/maintain/config-arm .config
	-cp debian/maintain/tmpconfig.h-arm .tmpconfig.h
elsif
	-cp debian/maintain/config .config
	-cp debian/maintain/tmpconfig.h .tmpconfig.h
endif
	-cp debian/maintain/depends.cfgs .depends.cfgs
	$(MAKE)
	$(MAKE) -C core/opiealarm/
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/install-tmp/ install
	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-if [ -e qmake/qmake ] ; then \
		$(MAKE) clean ;\
	fi
	-install -d debian/temp-bin
	-cp bin/README debian/temp-bin/
	-cp bin/getprofile debian/temp-bin/
	-cp bin/opie-reorgfiles debian/temp-bin/
	-cp bin/opie-sh-howto.sh debian/temp-bin/
	-cp bin/qpe-reorgfiles debian/temp-bin/
	-rm -f lib/l* bin/* mkspecs/default *.h 
	-rm -f `find ./ -name "*.o"`
	-rm -f `find ./ -name "moc*"`
	-rm -f `find ./ -name "*.moc"`
	-rm -rf include
	-rm `find ./ -name "*.so*"`
	-cp debian/temp-bin/* bin
	-rm -rf debian/temp-bin debian/install-tmp debian/patched
	-$(MAKE) -C scripts/kconfig clean
	-$(MAKE) -C qmake distclean
	dh_clean

patch: patch-stamp
patch-stamp:
	test -d debian/patched || install -d debian/patched
	@echo "Patches applied in the Debian version of ${PACKAGE}:" > $@T
	@for patch in `cat debian/patches/00list`; do \
	stamp=debian/patched/$$patch.dpatch; \
	patch=debian/patches/$$patch.dpatch; \
	author=`sed -n "s,^## *.*dpatch by *,,p" $$patch`; \
	test -x $$patch || chmod +x $$patch; \
	if test -f $$stamp; then \
		echo "$$patch already applied."; \
		echo -e "\n$$patch ($$author):" >> $@T; \
		sed -n 's/^## *DP: */  /p' $$patch >> $@T; \
	else \
		echo -n "applying patch $$patch..."; \
		if $$patch -patch >$$stamp.new 2>&1; then \
			mv $$stamp.new $$stamp; \
			touch $$stamp; \
			echo -e "\n$$patch ($$author):" >> $@T; \
			sed -n 's/^## *DP: */  /p' $$patch >> $@T; \
			echo " ok."; \
		else \
			echo " failed."; \
			exit 1; \
		fi; \
	fi; \
	done
	mv -f $@T $@

unpatch:
	@for patch in `tac debian/patches/00list`; do \
	stamp=debian/patched/$$patch.dpatch; \
	patch=debian/patches/$$patch.dpatch; \
	test -x $$patch || chmod +x $$patch; \
	if test -f $$stamp; then \
		echo -n "reverting patch $$patch..."; \
		if $$patch -unpatch 2>&1 >/dev/null; then \
			rm -f $$stamp; \
			echo " ok."; \
		else \
			echo " failed."; \
			exit 1; \
		fi; \
	fi; \
	done

	rm -f patch-stamp


install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	find apps sounds pics -path \*/CVS -prune -o -print | cpio -pmd debian/install-tmp/usr/share/opie/
	find etc -path \*/CVS -prune -o -print | cpio -pmd debian/install-tmp/etc/
	-mv debian/install-tmp/etc/etc debian/install-tmp/etc/opie
	find share -path \*/CVS -prune -o -print | cpio -pmd debian/install-tmp/usr/
	find plugins -path \*/CVS -prune -o -print | cpio -pmd debian/install-tmp/usr/lib/opie/
	find root -path \*/CVS -prune -o -print | cpio -pmd debian/install-tmp/
	-mv debian/install-tmp/root/etc/* debian/install-tmp/etc/opie/

	install -d debian/install-tmp/usr/share/lintian/overrides
	-cp debian/overrides/* debian/install-tmp/usr/share/lintian/overrides/
	-cp bin/getprofile debian/install-tmp/usr/bin/
	-cp bin/opiealarm debian/install-tmp/usr/bin/
	-cp bin/opie-reorgfiles debian/install-tmp/usr/bin/
	-cp bin/opie-sh-howto.sh debian/install-tmp/usr/bin/
	-cp bin/qpe-reorgfiles debian/install-tmp/usr/bin/
	-rm -rf `find debian/install-tmp/ -name "CVS"`
	-rm -rf `find debian/install-tmp/ -name ".cvsignore"`
	-chmod 644 `find debian/install-tmp/usr/share/opie/pics/ -type f`
	-chmod 644 `find debian/install-tmp/usr/share/opie/sounds/ -type f`
	dh_install --list-missing --sourcedir=debian/install-tmp

binary-common:
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installman
	dh_installinit -popie-taskbar-fb --init-script=opie -r --no-start
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
	dh_installdeb
	dh_shlibdeps 
	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

# Any other binary targets build just one binary package at a time.
binary-%: build install
	make -f debian/rules binary-common DH_OPTIONS=-p$*


binary: binary-arch binary-indep
.PHONY: build clean patch unpatch binary-indep binary-arch binary install
